package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbd;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.DbdResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbdMapper {
    int insert(Dbd record);

    int insertSelective(Dbd record);

    int updateByPrimaryKeySelective(Dbd record);

    int updateByPrimaryKey(Dbd record);

    int deleteByPrimaryKey(Dbd record);

    int deleteByIds(Collection<Object> collection);

    Dbd selectByPrimaryKey(Dbd record);
    Dbd selectByBuscode(@Param("buscode") String buscode);
    Dbd selectByActypeAndRptno(@Param("actiontype") String actiontype,@Param("rptno") String rptno);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbd> dyncRead(Map<String,Object> dyncMap);

    List<Dbd> selectByArgmodVo(ArgmodManagerVo argmodVo);

    /**
     * 需要导出的数据
     * @param basInrs
     * @return
     */
    List<DbdResultVo> selectByBasInrs(@Param("basInrs") List<String> basInrs);
}
